Désolé, mais cette page n'est pas encore disponible en français.

Authentication

API Keys

In order to start using the API, you first need to create an API Key.

To create a new API key, select “API Keys” from the menu on the left, then click on “Create new API key”. Choose a name for your API key and confirm by clicking on “Save”.

Now, the private API key is displayed. The key will only be displayed once and can’t be retrieved again.

Bearer Authentication

For authenticating your API calls, use the Bearer authentication scheme with your private API key. Send the key in the Authorization header of every request:

curl https://app.keila.io/api/v1/contacts \
  -H "Authorization: Bearer YOUR_API_KEY"

When creating or updating resources, send JSON and set the Content-Type header:

curl -X POST https://app.keila.io/api/v1/contacts \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"data": {"email": "jane.doe@example.com", "first_name": "Jane"}}'